Subject: Re: bug#37772: 26.3; Doc of recentf, particularly `recentf-list'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Oct 2019 04:48:05 +0200

Drew Adams <[email-masked]> writes:

> Many users use recentf.  Likewise, libraries.  Nowhere is it said what
> order the files are listed in, i.e., the order of the elements of
> `recentf-list'.  The answer is apparently that, by default at least, a
> file is pushed to the front of the list when it is "opened" or written.
>
> A more exact answer is that `recentf-list' is in reverse chronological
> order of calls to `recentf-track-opened-file'.  And by default that
> function is added to these hooks: `find-file-hook' and
> `write-file-functions'.

I think that seems pretty self-evident -- the doc strings talk about
"most recent" etc, so what other ordering could be meant?

So I don't see anything to fix here and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no